KDE 4.9 PyKDE API Reference

- KDE's Python API

# KVBox Class Reference

`from PyKDE4.kdeui import *`

Inherits: KHBox → QFrame → QWidget → QObject

## Detailed Description

A container widget which arranges its children vertically. When using a KVBox you don't need to create a layout nor to add the child widgets to it.

Both margin and spacing are initialized to 0. Use QVBoxLayout if you need standard layout margins.

"KDE Vertical Box containing three buttons"

See also:
  KHBox

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, KVBox a0)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a new vbox.

Parameters:

  | parent | The parent widget.

__init__ | ( | self, |
|  | KVBox | a0
| ) |  |  |